package com.s5gi.giGuns.guns.ind;

import com.s5gi.giGuns.guns.BulletType;
import com.s5gi.giGuns.guns.IGun;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.NamespacedKey;
import org.bukkit.Sound;
import org.bukkit.block.Block;
import org.bukkit.entity.LivingEntity;
import org.bukkit.inventory.CraftingRecipe;
import org.bukkit.inventory.ShapedRecipe;

import java.util.List;

public class desertDeagle implements IGun {
    @Override
    public String name() {
        return "&cDesert Eagle";
    }

    @Override
    public List<String> description() {
        return List.of("&9U.S.A.", "&7A single-action, gas-operated, semi-automatic pistol");
    }

    @Override
    public BulletType bulletType() {
        return BulletType.HEAVY;
    }

    @Override
    public List<Sound> sound() {
        return List.of(Sound.ENTITY_FIREWORK_ROCKET_BLAST);
    }

    @Override
    public float soundPitch() {
        return 0.6f;
    }

    @Override
    public void onHitEntity(Location location, LivingEntity entity) {

    }

    @Override
    public void onHitBlock(Location location, Block block) {

    }

    @Override
    public double bulletSpeed() {
        return 3.5f;
    }

    @Override
    public double damage() {
        return 7;
    }

    @Override
    public int cooldown() {
        return 15;
    }

    @Override
    public int textureId() {
        return 1;
    }

    @Override
    public CraftingRecipe recipe() {
        ShapedRecipe recipe = new ShapedRecipe(NamespacedKey.fromString("giguns:desert_eagle"), compileGun());
        recipe.shape(" II"," rd"," is");
        recipe.setIngredient('i', Material.IRON_INGOT);
        recipe.setIngredient('I', Material.IRON_BLOCK);
        recipe.setIngredient('r', Material.BLAZE_ROD);
        recipe.setIngredient('d', Material.DISPENSER);
        recipe.setIngredient('s', Material.STICK);
        return recipe;
    }
}
